# Get post votes

Returns a summary of upvotes and downvotes for a post, including the authenticated user's own vote direction. Requires authentication.

Endpoint: GET /api/v1/posts/{postId}/votes
Version: 1.0
Security: 

## Path parameters:

  - `postId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Query parameters:

  - `htmlContent` (any)
    Returns text as html if true or original text if false. Applicable only to local posts and users. Default is true.

## Response 200 fields (application/json):

  - `upvotes` (integer, required)
    upvotes count

  - `downvotes` (integer, required)
    downvotes count

  - `ownVote` (integer,null)
    current user's vote, if any

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


